#! /bin/bash

. /opt/app/bi-app/energy/dayTask/config.sh

host=$MYSQL_HOST
username=$MYSQL_USER
password=$MYSQL_PASSWORD
database=saga_dw

del_energy_15_min="truncate table energy_15_min;"
del_energy_5_min="truncate table energy_5_min;"
del_energy_15_min_fjd="truncate table energy_15_min_fjd;"
del_energy_5_min_fjd="truncate table energy_5_min_fjd;"

## 历史数据一次性导入后，需要删除 mysql 中的冗余数据
clean_energy_15(){
mysql -h${host}  -P3306  -u${username} -p${password} ${database} -e "${del_energy_15_min}"
}

clean_energy_5(){
mysql -h${host}  -P3306  -u${username} -p${password} ${database} -e "${del_energy_15_min_fjd}"
}

clean_energy_15_fjd(){
mysql -h${host}  -P3306  -u${username} -p${password} ${database} -e "${del_energy_5_min}"
}

clean_energy_5_fjd(){
mysql -h${host}  -P3306  -u${username} -p${password} ${database} -e "${del_energy_5_min_fjd}"
}

case $1 in
"all")
    clean_energy_15
    clean_energy_15_fjd
    clean_energy_5
    clean_energy_5_fjd
  ;;
"clean_15")
    clean_energy_15
    clean_energy_15_fjd
  ;;
"clean_5")
    clean_energy_5
    clean_energy_5_fjd
  ;;
"clean_energy_15")
    clean_energy_15
  ;;
"clean_energy_15_fjd")
    clean_energy_15_fjd
  ;;
"clean_energy_5")
    clean_energy_5
  ;;
"clean_energy_5_fjd")
    clean_energy_5_fjd
  ;;
esac
